> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# スコアの作成

> スコアを作成します。



## OpenAPI

````yaml /ja/weave/reference/service-api/openapi.json post /v2/{entity}/{project}/scores
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /v2/{entity}/{project}/scores:
    post:
      tags:
        - Scores
      summary: スコアの作成
      description: スコアを作成します。
      operationId: score_create_v2__entity___project__scores_post
      parameters:
        - in: path
          name: entity
          required: true
          schema:
            title: Entity
            type: string
        - in: path
          name: project
          required: true
          schema:
            title: Project
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ScoreCreateBody'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ScoreCreateRes'
          description: 正常なレスポンス
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 検証エラー
      security:
        - HTTPBasic: []
        - HTTPBearer: []
components:
  schemas:
    ScoreCreateBody:
      description: |-
        REST API 経由で Score を作成するためのリクエストボディ。

        このモデルには project_id は含まれません。RESTful endpoints の URL パスから取得されるためです。
      properties:
        evaluation_run_id:
          anyOf:
            - type: string
            - type: 'null'
          description: この score を子 call として関連付けるための、省略可能な評価 run ID
          title: Evaluation Run Id
        prediction_id:
          description: 予測 ID
          title: Prediction Id
          type: string
        scorer:
          description: scorer の参照（weave:// URI）
          title: Scorer
          type: string
        value:
          description: scorer の生の出力
          title: Value
      required:
        - prediction_id
        - scorer
        - value
      title: ScoreCreateBody
      type: object
    ScoreCreateRes:
      properties:
        score_id:
          description: score ID
          title: Score Id
          type: string
      required:
        - score_id
      title: ScoreCreateRes
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBasic:
      scheme: basic
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````